gss_encapsulate_token(3)

NAME
gss_encapsulate_token - API function

SYNOPSIS
#include <gss.h>

extern OM_uint32 gss_encapsulate_token(gss_const_buffer_t input_token, gss_const_OID token_oid, gss_buffer_t output_token);

ARGUMENTS

gss_const_buffer_t input_token
    (buffer, opaque, read) Buffer with GSS-API context token data.

gss_const_OID token_oid
    (Object ID, read) Object identifier of token.

gss_buffer_t output_token
    (buffer, opaque, modify) Encapsulated token data;
      caller must release with gss_release_buffer().

DESCRIPTION
Add the mechanism-independent token header to GSS-API context token data. This is used for the initial token of a GSS-API context establishment sequence. It incorporates an identifier of the mechanism type to be used on that context, and enables tokens to be interpreted unambiguously at GSS-API peers. See further section 3.1 of RFC 2743. This function is standardized in RFC 6339.

RETURNS

`GSS_S_COMPLETE`: Indicates successful completion, and that output parameters holds correct information.

`GSS_S_FAILURE`: Indicates that encapsulation failed for reasons unspecified at the GSS-API level.

REPORTING BUGS
Report bugs to <bug-gss@gnu.org>. GNU Generic Security Service home page: http://www.gnu.org/software/gss/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2003-2022 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gss is maintained as a Texinfo manual. If the info and gss programs are properly installed at your site, the command

    info gss

should give you access to the complete manual.